<?php
$dom_id = $session->getParam('dom_id');
if (0 >= $dom_id)
	psaerror('Invalid domain id.');

$sshd_config = @file('/etc/ssh/sshd_config');
if ($sshd_config) {
	foreach ($sshd_config as $line) {
		if (preg_match('/^\s*PasswordAuthentication\s+no\s*$/i', $line)) {
			warning(lmsg($session->chkLevel(IS_ADMIN)
						 ? 'sshterm__password_authentication_warning_admin'
						 : 'sshterm__password_authentication_warning'));
			break;
		}
	}
}

include_once('class.Domain.php');
$myDomain = new Domain($dom_id);
if ($myDomain->error())
	psaerror('Unable to create Domain object: ' . $myDomain->getErrorMsg());

include_once('class.PHosting.php');
$myPHosting = new PHosting($dom_id);
if ($myPHosting->error())
	psaerror('Unable to create PHosting object: ' . $myPHosting->getErrorMsg());

$sys_user_id = $myPHosting->getSysUserId();
include_once('class.SysUser.php');
$mySysUser = new SysUser($sys_user_id);
if ($mySysUser->error())
	psaerror('Unable to create SysUser object: ' . $mySysUser->getErrorMsg());

$ip_id = $myPHosting->getIPAddressId();
include_once('class.IPAddress.php');
$myIPAddress = new IPAddress($ip_id);
if ($myIPAddress->error())
	psaerror('Unable to create IPAddress object: ' . $myIPAddress->getErrorMsg());

include_once('class.SSHTerm.php');
$mySSHTermForm = new SSHTermForm();
if ($mySSHTermForm->error())
	psaerror('Unable to create SSHTermForm object: ' . $mySSHTermForm->getErrorMsg());

$mySSHTermForm->define();
if ($mySSHTermForm->error())
	psaerror('Unable to define SSHTermForm object: ' . $mySSHTermForm->getErrorMsg());

$mySSHTermForm->assign($myDomain->getName(), $mySysUser->getLogin());
if ($mySSHTermForm->error())
	psaerror('Unable to assign SSHTermForm object: ' . $mySSHTermForm->getErrorMsg());

$mySSHTermForm->parse();
if ($mySSHTermForm->error())
	psaerror('Unable to parse SSHTermForm object: ' . $mySSHTermForm->getErrorMsg());

$mySSHTermForm->fastPrint();
if ($mySSHTermForm->error())
	psaerror('Unable to print SSHTermForm object: ' . $mySSHTermForm->getErrorMsg());
?>
